package com.app.constant;

public class RedisKeyConstant {

    /**
     * 默认过期时长，单位：秒
     */
    public static final long DEFAULT_EXPIRE = 60 * 60 * 24;

    /**
     * 不设置过期时长
     */
    public static final long NOT_EXPIRE = -1;

    public static String JWT_WXMP_SESSION(String jwtId) {
        return String.format("jwt:wxmp:session:%s", jwtId);
    }

    public static final String MP_ACCESSTOKEN = "wx:mp_access_token";

    public static String PlatformLoginImgCode(String uuid) {
        return String.format("platform:web-login:img-code:%s", uuid);
    }

    public static String PlatformAccountLogin(String accountId) {
        return String.format("platform:login:account:%s", accountId);
    }

}
